<?php

/**
 * Pages Accordion template.
 *
 * @package ThemeStarter
 */


require_once(get_theme_file_path('/includes/back-end/helper_functions.php'));


?>

<!-- Accordion Menu Loop -->
<ul role="list" class="space-y-2">
    <!-- Menu Loop -->
    <?php $pages = get_pages_as_array();
    foreach ($pages as $page) {
        $pageID = $page['page']->ID;
        $pageTitle = $page['page']->post_title;
        $pageSlug = $page['page']->post_name;
        $pageBG =
            $page['page']->post_name . '.png';
        $pageBootstrapIcon =
            get_field('bootstrap_icon', $page['page']->ID); ?>

        <li class="accordion">
            <div class="flex px-2 hover:bg-stone-500 hover:text-white rounded-md justify-between">
                <a href="<?php echo get_site_url() . '/' . $pageSlug;  ?>" class="gap-x-3 rounded-md p-2 text-sm leading-6 font-semibold flex items-center align-middle">
                    <i class="<?php echo $pageBootstrapIcon ?> text-2xl" aria-hidden="true"></i>
                    <p><?php echo $pageTitle ?></p>
                </a>

                <?php if ($page['subpages']) { ?>
                    <button aria-label="Accordion Dropdown Toggle" class="accordion-toggle">
                        <i class="fas fa-chevron-down items-center ml-auto rounded-md px-2.5 py-2" aria-hidden="true"></i>
                        <i class="fas fa-times items-center ml-auto rounded-md px-3 py-2" aria-hidden="true"></i>
                    </button>
                <?php } ?>
            </div>
            <ul class="accordion-content space-y-2">
                <?php foreach ($page['subpages'] as $subpage) {
                    $subpageID =
                        $subpage->ID;
                    $subpageTitle = $subpage->post_title;
                    $subpageSlug =
                        $subpage->post_name;
                    $subpageBG = $subpage->post_name . '.png';
                    $subpageBootstrapIcon = get_field('bootstrap_icon', $subpage->ID);
                ?>
                    <li class="p-2">
                        <a href="<?php echo get_site_url() . '/' . $pageSlug . '/' . $subpageSlug ?>" class="flex space-x-2 items-center"><i class="bi-caret-right-fill"></i>
                            <p><?php echo $subpageTitle ?></p>
                        </a>
                    </li>

                <?php } ?>
            </ul>
        </li>

        <!-- Horizontal Rule -->
        <!-- <div class="horizontal-rule w-4/5 mt-4 mx-auto bg-gray-800"></div> -->

    <?php } ?>
</ul>